cdac.medinfo.sdk.hl7282.baselibs

## Class SRT

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.CompositeDataType
  - - cdac.medinfo.sdk.hl7282.baselibs.SRT

- All Implemented Interfaces:
    IDataType

      public class SRT
      extends CompositeDataType

  SRT - Sort order

  This data type specifies those parameters by which the response will be sorted and by what method.

  Represents an HL7 SRT data type. This data type has the following attributes:

  1. Sort-by Field (ST)Required
  2. Sequencing (ID)Optional

  This class provides accessors & mutators for the elements mentioned above. This class override the equal method, to check whether some other object is "equal to" this one.

  User can also create Data Type through `DataElementFactory`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SRT()` Default Constructor for SRT
    `SRT(int iMinLength, int iMaxLength, java.lang.String strCLength, int iComponentType)` Constructor for SRT class which takes four arguments and sets the value in the respective member variable.
    `SRT(int iMinLength, int iMaxLength, java.lang.String strCLength, int iTableNo, int iComponentType)` Constructor for SRT class which takes five arguments and sets the value in the respective member variable.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object objObject)` This method checks the equality of Object.
    `ID` | `getSequencing()` Returns Sequencing
    `ST` | `getSortByField()` Returns Sort-by Field
    `void` | `setSequencing(ID objID)` Sets the Sequencing
    `void` | `setSequencing(java.lang.String strSequencing)` Sets the Sequencing
    `void` | `setSortbyField(ST objST)` Sets the Sort by Field.
    `void` | `setSortbyField(java.lang.String strSortbyField)` Sets the Sort by Field.
    `boolean` | `validate()` The Method validates the Input value,and if validated properly then returns true.

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.CompositeDataType

      `copy, dumpDataType, getAttributes, getDataTypeName, getLength, getValue, isPrimitive, read, setValue, write, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SRT

          public SRT()

      Default Constructor for SRT

    - #### SRT

          public SRT(int iMinLength,
             int iMaxLength,
             java.lang.String strCLength,
             int iComponentType)
              throws InvalidComponentTypeException

      Constructor for SRT class which takes four arguments and sets the value in the respective member variable.
      Parameters:
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### SRT

          public SRT(int iMinLength,
             int iMaxLength,
             java.lang.String strCLength,
             int iTableNo,
             int iComponentType)
              throws InvalidComponentTypeException

      Constructor for SRT class which takes five arguments and sets the value in the respective member variable.
      Parameters:
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
        `iTableNo` - The Table number to which the value for the component is specified.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

  - ### Method Detail

    - #### setSortbyField

          public void setSortbyField(java.lang.String strSortbyField)

      Sets the Sort by Field.
      Parameters:
        `strSortbyField` - Identifies the field by which the response will be sorted.

    - #### setSortbyField

          public void setSortbyField(ST objST)

      Sets the Sort by Field.
      Parameters:
        `objST` - Identifies the field by which the response will be sorted.

    - #### setSequencing

          public void setSequencing(java.lang.String strSequencing)

      Sets the Sequencing
      Parameters:
        `strSequencing` - Identifies how the field or parameter will be sorted; and, if sorted, whether the sort will be case sensitive (the default) or not.

    - #### setSequencing

          public void setSequencing(ID objID)

      Sets the Sequencing
      Parameters:
        `objID` - Identifies how the field or parameter will be sorted; and, if sorted, whether the sort will be case sensitive (the default) or not.

    - #### getSortByField

          public ST getSortByField()

      Returns Sort-by Field
      Returns:
        ST - data type.

    - #### getSequencing

          public ID getSequencing()

      Returns Sequencing
      Returns:
        ID - data type.

    - #### validate

          public boolean validate()
                           throws InvalidDataTypeException

      The Method validates the Input value,and if validated properly then returns true. Here the validetion is based on the compulsory fields for the Datatype.
      Specified by:
        `validate` in interface `IDataType`
      Overrides:
        `validate` in class `CompositeDataType`
      Returns:
        boolean - true or false.
      Throws:
        `InvalidDataTypeException` - - if Invalid values is entered or Mandatory field is missing.

    - #### equals

          public boolean equals(java.lang.Object objObject)

      This method checks the equality of Object.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `objObject` - object of Object class.
      Returns:
        boolean - shows success or failure of the comparison.